RankingMerger
Date: 2013-02-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.dir.master.fusion.mergers
Class RankingMerger<PARAMS extends FusionParameters>

    java.lang.Object
      org.gcube.dir.master.fusion.mergers.Merger<PARAMS>
          org.gcube.dir.master.fusion.mergers.RankingMerger<PARAMS>

All Implemented Interfaces:
  Prototyped<FusionParameters>

Direct Known Subclasses:
  ConsistentMerger

    public abstract class RankingMerger<PARAMS extends FusionParameters>

extends Merger<PARAMS>
implements Prototyped<FusionParameters>

Implementation of `Merger` based on a re-ranking of the results.

Author:
  Fabio Simeoni (University of Strathclyde)

Constructor Summary
`RankingMerger()`

Method Summary
`FusionParameters` | `getPrototype()` Returns the object's prototypical input.
`java.lang.Class<?>` | `getResultClass()`
`RSXMLWriter` | `merge()` Returns a writer to the merged resultset.

Methods inherited from class org.gcube.dir.master.fusion.mergers.Merger
`getParams, getSet, merge`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RankingMerger

    public RankingMerger()

Method Detail

### merge

    public RSXMLWriter merge()
                      throws java.lang.Exception

  Returns a writer to the merged resultset. Override in accordance with merge semantics.

  Specified by:
    `merge` in class `Merger<PARAMS extends FusionParameters>`
  Returns:
    the writer.
  Throws:
    `java.lang.Exception` - if the query results could not be merged.

### getResultClass

    public java.lang.Class<?> getResultClass()

### getPrototype

    public FusionParameters getPrototype()

  Returns the object's prototypical input.

  Specified by:
    `getPrototype` in interface `Prototyped<FusionParameters>`
  Returns:
    the prototype.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD